diff --git a/src/main/java/net/betterthanadventure/utils/BiomeFinder.java b/src/main/java/net/betterthanadventure/utils/BiomeFinder.java
index 2b74f56c4..c7d7813c0 100644
--- a/src/main/java/net/betterthanadventure/utils/BiomeFinder.java
+++ b/src/main/java/net/betterthanadventure/utils/BiomeFinder.java
@@ -1,11 +1,14 @@
 package net.betterthanadventure.utils;
 
+import com.mojang.logging.LogUtils;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.world.chunk.provider.ChunkProviderDynamic;
 import net.minecraft.core.Global;
 import net.minecraft.core.MinecraftAccessor;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.data.registry.Registries;
 import net.minecraft.core.entity.SkinVariantList;
+import net.minecraft.core.item.Items;
 import net.minecraft.core.world.Dimension;
 import net.minecraft.core.world.SpawnerMobs;
 import net.minecraft.core.world.World;
@@ -21,6 +24,7 @@ import net.minecraft.core.world.save.SaveHandlerClientMP;
 import net.minecraft.core.world.save.mcregion.SaveFormat19134;
 import net.minecraft.core.world.type.WorldType;
 import net.minecraft.core.world.type.WorldTypes;
+import org.slf4j.Logger;
 
 import javax.swing.*;
 import javax.swing.border.TitledBorder;
@@ -39,7 +43,7 @@ import java.util.Map;
 import java.util.Set;
 
 public class BiomeFinder implements MinecraftAccessor {
-
+	private static final Logger LOGGER = LogUtils.getLogger();
 	public static long seed = 0;
 	public static int renderRes = 1024;
 	public static int renderScale = 4;
@@ -55,11 +59,10 @@ public class BiomeFinder implements MinecraftAccessor {
 
 	private final Map<Biome, Integer> biomeCounts = new HashMap<>();
 	private File worldFolder;
-	private JFrame frame;
+	private final JFrame frame;
 	private final String title = "Biome Finder";
 
 	public static void main(String[] args) {
-		BiomeProviderOverworld.init();
 		File worldFolder = null;
 
 		Boolean highlight = null;
@@ -67,7 +70,7 @@ public class BiomeFinder implements MinecraftAccessor {
 		for(String arg : args) {
 			int i = arg.indexOf('=');
 			if(i == -1) {
-				System.out.println("Skipping argument '"+arg+"'");
+                LOGGER.warn("Skipping argument '{}'", arg);
 				continue;
 			}
 
@@ -103,13 +106,13 @@ public class BiomeFinder implements MinecraftAccessor {
                     highlight = Boolean.parseBoolean(value);
                     break;
                 default:
-                    System.out.println("Unknown argument '" + arg + "'.");
+                    LOGGER.warn("Unknown argument '{}'.", arg);
                     break;
             }
 		}
 
 		if(worldFolder == null) {
-			System.out.println("No world!");
+			LOGGER.info("No world specified");
 		}
 		if (highlight == null){
 			highlightLoaded = worldFolder != null;
@@ -145,6 +148,10 @@ public class BiomeFinder implements MinecraftAccessor {
 			Global.accessor = this;
 		}
 
+		Blocks.init();
+		Items.init();
+		BiomeProviderOverworld.init();
+
         try {
             UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName()); //set Look and Feel to Windows
         } catch (ClassNotFoundException | InstantiationException | IllegalAccessException |
@@ -427,7 +434,7 @@ public class BiomeFinder implements MinecraftAccessor {
 					int result = worldSelector.showOpenDialog(frame);
 					if (result == JFileChooser.APPROVE_OPTION) {
 						File selectedFile = worldSelector.getSelectedFile();
-						System.out.println("Selected file: " + selectedFile.getAbsolutePath());
+                        LOGGER.info("Selected file: {}", selectedFile.getAbsolutePath());
 						this.worldFolder = selectedFile;
 						seedField.setEnabled(false);
 						closeWorldButton.setEnabled(true);
@@ -475,7 +482,7 @@ public class BiomeFinder implements MinecraftAccessor {
 	}
 
 	private BufferedImage createBiomePreview() {
-		System.out.printf("Seed: %d | World?: %s", seed, worldFolder != null);
+        LOGGER.info("Seed: {} | World?: {}", seed, worldFolder != null);
 		BiomeProviderOverworld.init();
 		biomeCounts.clear();
 		WorldType worldType = WorldTypes.OVERWORLD_EXTENDED;
@@ -496,12 +503,12 @@ public class BiomeFinder implements MinecraftAccessor {
 		BufferedImage biomeImage = new BufferedImage(renderRes, renderRes, BufferedImage.TYPE_INT_RGB);
 
 		int areaSize = renderRes * renderScale;
-		System.out.println("Render Area: " + areaSize + " x " + areaSize);
+        LOGGER.info("Render Area: {} x {}", areaSize, areaSize);
 
 		int offsetX = -areaSize / 2 + posX;
 		int offsetZ = -areaSize / 2 + posZ;
 
-		System.out.println("Offset: " + offsetX + ", " + offsetZ);
+        LOGGER.info("Offset: {}, {}", offsetX, offsetZ);
 
 		int lastChunkX = Integer.MIN_VALUE;
 		int lastChunkZ = Integer.MIN_VALUE;
@@ -524,7 +531,7 @@ public class BiomeFinder implements MinecraftAccessor {
 						}
                     } catch (Exception e){
 						chunk = null;
-						e.printStackTrace();
+						LOGGER.error("Failed to load chunk at X:{}, Z:{}", Math.floorDiv(x, Chunk.CHUNK_SIZE_X), Math.floorDiv(z, Chunk.CHUNK_SIZE_Z), e);
 					}
 				}
 				if (biome == null) {
@@ -550,7 +557,7 @@ public class BiomeFinder implements MinecraftAccessor {
 				lastProgress = System.currentTimeMillis();
 				float percent = i / (float)biomeImage.getHeight();
 				String progress = (int)(percent * 100) + "%";
-				System.out.println(progress);
+				LOGGER.info(progress);
 				frame.setTitle(title + " | loading " + progress);
 			}
 		}
@@ -604,7 +611,7 @@ public class BiomeFinder implements MinecraftAccessor {
 
 		g.setColor(bg);
 		g.fillRect(x, y, w, h);
-		g.setFont(new Font("Monospaced", 1, 13 * guiScale));
+		g.setFont(new Font("Monospaced", Font.BOLD, 13 * guiScale));
 
 		for(int i=0; i < biomeList.size(); i++) {
 			int y1 = y + i * lineHeight;
@@ -659,4 +666,5 @@ public class BiomeFinder implements MinecraftAccessor {
 	public String getMinecraftVersion() {
 		return null;
 	}
+
 }
diff --git a/src/main/java/net/betterthanadventure/utils/DataDumper.java b/src/main/java/net/betterthanadventure/utils/DataDumper.java
index 25cbca191..7e3590974 100644
--- a/src/main/java/net/betterthanadventure/utils/DataDumper.java
+++ b/src/main/java/net/betterthanadventure/utils/DataDumper.java
@@ -1,5 +1,6 @@
 package net.betterthanadventure.utils;
 
+import com.mojang.logging.LogUtils;
 import net.minecraft.client.Minecraft;
 import net.minecraft.core.Global;
 import net.minecraft.core.MinecraftAccessor;
@@ -23,6 +24,7 @@ import net.minecraft.core.world.biome.Biome;
 import net.minecraft.core.world.chunk.IChunkLoader;
 import net.minecraft.core.world.chunk.provider.IChunkProvider;
 import net.minecraft.core.world.weather.Weather;
+import org.slf4j.Logger;
 
 import java.io.BufferedWriter;
 import java.io.File;
@@ -31,6 +33,7 @@ import java.io.IOException;
 import java.util.List;
 
 public class DataDumper implements MinecraftAccessor {
+    private static final Logger LOGGER = LogUtils.getLogger();
     private static File minecraftDir = null;
     private static I18n translator;
     public static boolean hideUnused = true;
@@ -38,7 +41,7 @@ public class DataDumper implements MinecraftAccessor {
         for(String arg : args) {
             int i = arg.indexOf('=');
             if(i == -1) {
-                System.out.println("Skipping argument '"+arg+"'");
+                LOGGER.error("Skipping argument '{}'", arg);
                 continue;
             }
 
@@ -48,7 +51,7 @@ public class DataDumper implements MinecraftAccessor {
             if(key.equals("hide-unused")) {
                 hideUnused = Boolean.parseBoolean(value);
             } else {
-                System.out.println("Skipping argument '" + arg + "'");
+                LOGGER.error("Skipping argument '{}'", arg);
             }
         }
 
@@ -63,8 +66,8 @@ public class DataDumper implements MinecraftAccessor {
         I18n.initialize("en_US");
         translator = I18n.getInstance();
 
-        System.out.println(Blocks.DIRT.id);
-        System.out.println(Items.STICK.id);
+        Blocks.init();
+        Items.init();
 
         File wikiDumpFile = new File(getMinecraftDir(), "infodump");
         wikiDumpFile.mkdirs();
@@ -227,4 +230,5 @@ public class DataDumper implements MinecraftAccessor {
     public String getMinecraftVersion() {
         return null;
     }
+
 }
diff --git a/src/main/java/net/betterthanadventure/utils/ResetBiomes.java b/src/main/java/net/betterthanadventure/utils/ResetBiomes.java
index 887f7050a..8be877107 100644
--- a/src/main/java/net/betterthanadventure/utils/ResetBiomes.java
+++ b/src/main/java/net/betterthanadventure/utils/ResetBiomes.java
@@ -7,6 +7,7 @@ import java.util.ArrayList;
 import java.util.List;
 import java.util.Map;
 
+import com.mojang.logging.LogUtils;
 import com.mojang.nbt.CompoundTag;
 import com.mojang.nbt.NbtIo;
 import com.mojang.nbt.Tag;
@@ -15,16 +16,17 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.core.world.ProgressListener;
 import net.minecraft.core.world.save.mcregion.RegionFile;
 import net.minecraft.core.world.save.mcregion.RegionFileCache;
+import org.slf4j.Logger;
 
 public class ResetBiomes {
-	
+	private static final Logger LOGGER = LogUtils.getLogger();
 	public static void main(String[] args) {
 		File worldFolder = null;
 		
 		for(String arg : args) {
 			int i = arg.indexOf('=');
 			if(i == -1) {
-				System.out.println("Skipping argument '"+arg+"'");
+                LOGGER.warn("Skipping argument '{}'", arg);
 				continue;
 			}
 			
@@ -39,20 +41,20 @@ public class ResetBiomes {
 		}
 		
 		if(worldFolder == null) {
-			System.out.println("No world!");
+			LOGGER.warn("No world!");
 			return;
 		}
-		
+
 		new ResetBiomes(worldFolder);
 	}
 	
 	public ResetBiomes(File worldFolder) {
-		System.out.println("Reset Biomes: " + worldFolder.getAbsolutePath());
+        LOGGER.info("Reset Biomes: {}", worldFolder.getAbsolutePath());
 		
 		ProgressListener progressUpdate = new ConsoleProgressUpdate();
 		List<ChunkPosition> chunks = new McRegionChunkCounter().count(worldFolder, progressUpdate);
-		
-		System.out.println("Chunk Count: " + chunks.size());
+
+        LOGGER.info("Chunk Count: {}", chunks.size());
 		
 		progressUpdate.progressStage("Converting Chunks");
 		progressUpdate.progressStagePercentage(0);
@@ -90,17 +92,21 @@ public class ResetBiomes {
 				throw new RuntimeException(e);
 			}finally {
 				try {
-					in.close();
-				}catch (Exception e) {}
+					if (in != null) {
+						in.close();
+					}
+				}catch (Exception ignored) {}
 				try {
-					out.close();
-				}catch (Exception e) {}
+					if (out != null) {
+						out.close();
+					}
+				}catch (Exception ignored) {}
 			}
 			
 			setLoadingProgress(progressUpdate, i, chunks.size());
 		}
-		
-		System.out.println("Done!");
+
+		LOGGER.info("Done!");
 	}
 	
 	static class McRegionChunkCounter {
@@ -110,12 +116,12 @@ public class ResetBiomes {
 		
 		public List<ChunkPosition> count(File saveFolder, ProgressListener progressUpdate) {
 			File[] dimensionFolders = new File(saveFolder, "dimensions").listFiles();
-			System.out.println(dimensionFolders.length + " Dimension Folders");
-			
 			if(dimensionFolders == null || dimensionFolders.length == 0) {
 				return null;
 			}
-			
+
+            LOGGER.info("{} Dimension Folders", dimensionFolders.length);
+
 			progressUpdate.progressStage("Counting Chunks");
 			progressUpdate.progressStagePercentage(0);
 			
@@ -123,16 +129,16 @@ public class ResetBiomes {
 			regionList = new ArrayList<>();
 			
 			for(int dim = 0; dim < dimensionFolders.length; dim++) {
-				System.out.println("Dimension: " + dimensionFolders[dim].getName());
+                LOGGER.info("Dimension: {}", dimensionFolders[dim].getName());
 				
 				File regionFolder = new File(dimensionFolders[dim], "region");
 				
 				File[] regionFiles = regionFolder.listFiles();
 				if(regionFiles == null) {
-					System.out.println("No Region Files!");
+					LOGGER.warn("No Region Files!");
 					continue;
 				}
-				System.out.println(regionFiles.length + " Region Files");
+                LOGGER.info("{} Region Files", regionFiles.length);
 				
 				for(int i=0; i < regionFiles.length; i++) {
 					RegionPosition region = RegionPosition.get(regionFiles[i]);
@@ -142,8 +148,8 @@ public class ResetBiomes {
 					}
 				}
 			}
-			
-			System.out.println("Region List: " + regionList.size());
+
+            LOGGER.info("Region List: {}", regionList.size());
 			
 			for(int i=0; i < regionList.size(); i++) {
 				RegionPosition region = regionList.get(i);
@@ -262,7 +268,7 @@ public class ResetBiomes {
 			}
 			long now = System.currentTimeMillis();
 			if(now > lastPrint + 250) {
-				System.out.println(string + ": " + i + "%");
+                LOGGER.info("{}: {}%", string, i);
 				lastPrint = now;
 				lastValue = i;
 			}
